# Variables
CC = gcc
CFLAGS = -Wall -Wextra -pedantic 
LDFLAGS =-lSDL2 -lSDL2_image -lm

# Répertoires
AFFICHAGE_DIR = .
GRAPHES_DIR = ../GenGraphe
PARCOURS_DIR = ../ParcoursGraphe

# Fichiers sources

AFFICHAGES_SOURCES = $(AFFICHAGE_DIR)/affichage_fonctions.c \
				  $(AFFICHAGE_DIR)/affichage_main.c \

GRAPHES_SOURCES = $(GRAPHES_DIR)/creation_graphe.c 

PARCOURS_SOURCES = $(PARCOURS_DIR)/floyd_warshall.c

# Fichiers objets
OBJDIR = .
AFFICHAGES_OBJECTS = $(AFFICHAGES_SOURCES:$(Affichage_DIR)/%.c=$(OBJDIR)/%.o)
GRAPHES_OBJECTS = $(GRAPHES_SOURCES:$(GRAPHES_DIR)/%.c=$(OBJDIR)/%.o)
PARCOURS_OBJECTS = $(PARCOURS_SOURCES:$(PARCOURS_DIR)/%.c=$(OBJDIR)/%.o)

# Exécutable
EXECUTABLE = affichage

# Règle par défaut
all: $(EXECUTABLE)

# Règle de construction de l'exécutable
$(EXECUTABLE): $(GRAPHES_OBJECTS) $(PARCOURS_OBJECTS) $(AFFICHAGES_OBJECTS)
	$(CC)  $^ -o $@ $(LDFLAGS)



# Règle de construction des objets pour le répertoire "graphes/creation_graphe"
$(OBJDIR)/%.o: $(GRAPHES_DIR)/%.c
	$(CC) $(CFLAGS) -c $< -o $@

# Règle de construction des objets pour le répertoire "parcours/floyd_warshall"
$(OBJDIR)/%.o: $(PARCOURS_DIR)/%.c
	$(CC) $(CFLAGS) -c $< -o $@

# Règle de construction des objets pour le répertoire "affichage"
$(OBJDIR)/%.o: $(Affichage_DIR)/%.c
	$(CC) $(CFLAGS) -c $< -o $@

# Nettoyage des fichiers objets et de l'exécutable
clean:
	rm -f $(OBJDIR)/*.o $(EXECUTABLE)
